package com.steering.pss.sale.order;

import java.util.ArrayList;

import com.steering.comm.db.DBCommon;
import CoreFS.SA06.CoreReturnObject;
import CoreFS.SA08.CoreXmlSqlParsersFactory;
import CoreFS.SC01.CoreConstantData;

public class CraftSplineUnit extends DBCommon{
	public CoreReturnObject query(){
		return this.getData(CoreXmlSqlParsersFactory.getSql("CraftSplineUnit.query"));
	}
	
	public CoreReturnObject queryUnit(){
		return this.getData(CoreXmlSqlParsersFactory.getSql("CraftSplineUnit.queryUnit"));
	}
	
	public CoreReturnObject save(ArrayList<String> parms){
		ArrayList<String> sqllist = new ArrayList<String>();
		ArrayList<Object[]> parmlist = new ArrayList<Object[]>();
		sqllist.add(CoreXmlSqlParsersFactory.getSql("CraftSplineUnit.delete"));
		parmlist.add(new Object[]{});
		for(String parm : parms){
			sqllist.add(CoreXmlSqlParsersFactory.getSql("CraftSplineUnit.insert"));
			parmlist.add(new Object[]{parm});
		}
		return this.getDao(CoreConstantData.sysbeanstr).ExcuteTransction(sqllist, parmlist);
	}
}
